echo "Debug is initializing, please wait ...." >&4

accel_status=$(fwaccel stat | grep "Accelerator Status" | awk 'BEGIN { FS = ":" } ; { print $2 }')

if [ $accel_status == "on" ]; then echo -e "\\nWARNING - We have detected that Secure XL is currently enabled on the system.\\nThis script was designed to run when SXL is disabled.\\nRunning this script with enabled SXL can result in gathering partial data only,\\nplease consider stopping the script and running it again when SXL is disabled.\\nTo stop SXL run \"fwaccel off\".\\nOtherwise please explain why do you need to have it enabled to TAC person you\\nare working with.\\n\\n" >&4; fwaccel stat > $DBGDIR/fwaccel_stat.txt; fi

fw monitor -e "accept;" -o $DBGDIR/mon.pcap &

vpn_log_number=$(/bin/log_start list | grep vpnd.elg | awk 'BEGIN { FS = ")" } ; { print $1 }')
echo > $DBGDIR/unlimit
/bin/log_start list | grep vpn | awk -v y="$vpn_log_number" '{ print "/bin/log_start limit " y " " $3 " " $4 }' > $DBGDIR/unlimit
chmod 777 $DBGDIR/unlimit
/bin/log_start unlimit $vpn_log_number

rm $FWDIR/log/vpnd.elg.*
vpn debug trunc
vpn debug on TDERROR_ALL_ALL=5

sleep 10
echo "Debug environment is ready, please reproduce the problem." >&4